---
apiVersion: cluster.x-k8s.io/v1beta1
kind: Cluster
metadata:
  name: "tf-rosa-sa2"
  namespace: "ns-rosa-hcp"
spec:
  clusterNetwork:
    pods:
      cidrBlocks: ["192.168.0.0/16"]
  infrastructureRef:
    apiVersion: infrastructure.cluster.x-k8s.io/v1beta2
    kind: ROSACluster
    name: "tf-rosa-sa2"
    namespace: "ns-rosa-hcp"
  controlPlaneRef:
    apiVersion: controlplane.cluster.x-k8s.io/v1beta2
    kind: ROSAControlPlane
    name: "tf-rosa-sa2"
    namespace: "ns-rosa-hcp"
---
apiVersion: infrastructure.cluster.x-k8s.io/v1beta2
kind: ROSACluster
metadata:
  name: "tf-rosa-sa2"
  namespace: "ns-rosa-hcp"
spec: {}
---
apiVersion: controlplane.cluster.x-k8s.io/v1beta2
kind: ROSAControlPlane
metadata:
  name: "tf-rosa-sa2"
  namespace: "ns-rosa-hcp"
spec:
  rosaClusterName: tf-rosa-sa2
  domainPrefix: myhcp
  version: "4.17.1"
  region: "us-west-2"
  rolesRef:
    ingressARN: "arn:aws:iam::471112697682:role/sa2-openshift-ingress-operator-cloud-credentials"
    imageRegistryARN: "arn:aws:iam::471112697682:role/sa2-openshift-image-registry-installer-cloud-credentials"
    storageARN: "arn:aws:iam::471112697682:role/sa2-openshift-cluster-csi-drivers-ebs-cloud-credentials"
    networkARN: "arn:aws:iam::471112697682:role/sa2-openshift-cloud-network-config-controller-cloud-credentials"
    kubeCloudControllerARN: "arn:aws:iam::471112697682:role/sa2-kube-system-kube-controller-manager"
    nodePoolManagementARN: "arn:aws:iam::471112697682:role/sa2-kube-system-capa-controller-manager"
    controlPlaneOperatorARN: "arn:aws:iam::471112697682:role/sa2-kube-system-control-plane-operator"
    kmsProviderARN: "arn:aws:iam::471112697682:role/sa2-kube-system-kms-provider"
  oidcID: "2gsig3na38ktj7fu7r1kcusham2t4ir3"
  subnets:
    - "subnet-0b29fae4612c11e23"
    - "subnet-022c15174261fb344"
  availabilityZones:
    - "us-west-2b"
  installerRoleARN: "arn:aws:iam::471112697682:role/sa2-HCP-ROSA-Installer-Role"
  supportRoleARN: "arn:aws:iam::471112697682:role/sa2-HCP-ROSA-Support-Role"
  workerRoleARN: "arn:aws:iam::471112697682:role/sa2-HCP-ROSA-Worker-Role"
  network:
    machineCIDR: "10.0.0.0/16"
    podCIDR: "10.128.0.0/14"
    serviceCIDR: "172.30.0.0/16"
    #networkType: Other
  defaultMachinePoolSpec:
    instanceType: "m5.xlarge"
    autoscaling:
      maxReplicas: 6
      minReplicas: 4
  additionalTags:
    env: "demo"
    profile: "hcp"
